﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using System.Drawing;

namespace WEB_SetFormattedTooltip
{
    class FormattedTooltip :IToolTipItem
    {
        private Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup group;

        public FormattedTooltip(Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarGroup group)
        {
            this.group = group;
        }

        public ToolTipInfo GetToolTipInfo(System.Drawing.Point mousePosition, UIElement element, UIElement previousToolTipElement, ToolTipInfo toolTipInfoDefault)
        {
            var toolTip = new ToolTipInfo();
            toolTip.ToolTipText = String.Format("<u>Group {0}</u> tooltip", group.Index); 
            toolTip.Font = new Font("TimesNewRoman", 7, FontStyle.Bold|FontStyle.Italic);
            toolTip.Title = group.Text;
            toolTip.BackColor = Color.Orange;
            toolTip.ForeColor = Color.Green;
            toolTip.Location = new Point(mousePosition.X ,mousePosition.Y + 20);
            toolTip.ToolTipTextStyle = ToolTipTextStyle.Formatted;
            toolTip.DelayUntilMouseHover = true;
            return toolTip;
        }
    }
}
